Subject: Re: bug#61501: 30.0.50; [PATCH] Support unloading Eshell

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Feb 2023 16:34:03 +0200

> Date: Mon, 13 Feb 2023 19:52:13 -0800
> From: Jim Porter <[email-masked]>
> 
> Currently, it's not possible to call "(unload-feature 'eshell)" after 
> using Eshell. You'll just get an error that some of Eshell's extension 
> modules depend on eshell.elc. This is a relatively minor issue, but I'm 
> hoping to make some improvements to how extension modules get loaded, so 
> this is a prelude to that.
> 
> In addition to making it *possible* to unload Eshell, I also fixed an 
> issue where the unload hooks weren't named correctly. They were of the 
> form 'eshell-hist-unload-hook', but the file's name is em-hist.el. I 
> moved these to 'em-hist-unload-function' and similar ('-function' 
> because the '-hook' version is obsolete, as I understand it).

Thanks, good to hear.  Please add a NEWS entry to call out this
change.